complexType "TradeIdentifier"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-doc-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 6 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | partyReference?, accountReference?, reportingRole?, tradeId?+
</...>

Content Model Elements (4):

  accountReference (defined in PartyAndAccountReferences.model group),
  partyReference (defined in PartyAndAccountReferences.model group),
  reportingRole (defined in TradeIdentifier complexType),
  tradeId (defined in TradeIdentifier complexType)

Known Direct Subtypes (1):

  PartyTradeIdentifier

All Direct / Indirect Based Elements (20):

  allocationTradeId (defined in PartyTradeIdentifier complexType),
  allocationTradeId (in allocation),
  blockTradeId,
  newTradeIdentifier,
  oldTradeIdentifier (defined in TradeChangeContent complexType),
  oldTradeIdentifier (in novation),
  partyTradeIdentifier (defined in PartyTradeIdentifiers complexType),
  partyTradeIdentifier (defined in TradeIdentifyingItems complexType),
  partyTradeIdentifier (defined in TradeValuationItem complexType),
  partyTradeIdentifier (in tradeHeader),
  partyTradeIdentifier (in tradeReferenceInformation),
  resultingTradeIdentifier,
  tradeIdentifier (defined in BestFitTrade complexType),
  tradeIdentifier (defined in EventIdentifier complexType),
  tradeIdentifier (defined in TradeChangeBase complexType),
  tradeIdentifier (in deClear),
  tradeIdentifier (in optionExercise),
  tradeIdentifier (in optionExpiry defined in Events.model group),
  tradeIdentifier (in optionExpiry in terminatingEventsReport),
  tradeIdentifier (in tradeMaturity)

Known Usage Locations

- In derivations of other global types (1):
  PartyTradeIdentifier (as extension base)
- As direct type of elements (5):
  allocationTradeId (defined in PartyTradeIdentifier complexType),
  allocationTradeId (in allocation),
  blockTradeId,
  tradeIdentifier (defined in BestFitTrade complexType),
  tradeIdentifier (defined in EventIdentifier complexType)

Annotation
A type defining a trade identifier issued by the indicated party.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="TradeIdentifier"> <xsd:sequence> <xsd:group ref="PartyAndAccountReferences.model"/> <xsd:element minOccurs="0" name="reportingRole" type="ReportingRole"/> <xsd:choice maxOccurs="unbounded"> <xsd:element minOccurs="0" name="tradeId" type="TradeId"/> </xsd:choice> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/4)
reportingRole

  Type: | ReportingRole, simple content

  Identifies the role of this party in reporting this trade (e.g. originator, counterparty, recipient).
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="reportingRole" type="ReportingRole"/>

tradeId

  Type: | TradeId, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="tradeId" type="TradeId"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.